/* change default selection */
body *::selection {
    background-color: #FEFEFF;
    color: #FEFEFF;
}

body *::-moz-selection {
    background-color: #2E416E;
    color: #FEFEFF;
}

a {
    color: Black;
    font-weight: bold;
    text-decoration: none;
}

a:link, a:visited {
    color: #455373;
    text-decoration: none;
}

.modal-header h4 {
	color: #EEE;
	font-weight: bold;
	text-shadow: #666 1px 1px;
}

#main-body > header.container-fluid {
	padding-left: 0px;
	padding-right: 0px;
}

:lang(ar) {
	font-family: 'Scheherazade', arabic, serif;
	direction: rtl;
}

p:lang(ar) {
    font-size: 1.7rem;
}

.navbar-brand span:lang(ar) {
    font-family: "Nafees Web Naskh",Nafees,urdu,serif;
    font-size: 2.5rem;
    font-weight: normal;
}

:lang(ur) {
	font-family: 'Jameel Noori Nastaleeq', 'Nafees Nastaleeq', Nafees, urdu, serif;
	direction: rtl;
}

p:lang(ur) {
    font-size: 1.4rem;
}

h1.main-heading {
    margin: 15px 340px;
    font-family: 'Ceviche One', cursive;
    font-weight: normal;
    color: #2E416E; /*#FEFEFF;*/
    color: #2E416E\9;
    font-size: 3.05em;
	padding: 15px;
}

h1.main-heading span:lang(ar) {
    font-family: 'Nafees Web Naskh', Nafees, urdu, serif;
}

#main-body > div.container {

    -moz-border-radius: 10px 10px 10px 10px;
    -moz-box-shadow: 0px 0px 0px #FEFEFF;
    -webkit-box-shadow: 0px 0px 0px #FEFEFF;
}

@media (max-width: 767px) {
	body > div.container {
		margin-left: 6px;
		margin-right: 6px;
	}
}

#main-body > div.container > header,
#main-body > div.container > footer {
    padding: 10px;
	min-height: 40px;
}

.frame-border {
    padding: 10px;
    color: #EEE;
    font-weight: bold;
    text-shadow: #666 0px 0px;
    font-size: 1.15rem;  
    background: #2E416E; /* old browsers */
    background: #2E416E; /* firefox */
    background: #2E416E; /* webkit */
    background: #2E416E; /* opera */
    filter: #2E416E; /* ie */
}

header.frame-border {
    -moz-border-radius: 0px 0px 0px 0px;
    border-radius: 0px 0px 0px 0px;
}

#main-body > div.container > header h2 {
	font-size: 1.20rem;
	font-weight: bold;
	margin: 0px;
}

#main-body > div.container > header :lang(ar) {
    font-size: 1.6rem;
	font-weight: normal;
}

#main-body > div.container > header a :lang(ar) {
    padding: 0.25em 3em 0.5em 3em;
}

#main-body > div.container > section.row {
	background-color: #DDDEE0;
}

.frame-inner {
	padding: 30px 20px;
	box-shadow: inset #2E416E 0px 0px 1px;
}

#main-body > div.container > section.row > section {
	border-left: 1px solid #2E416E;
}

#main-body > div.container > section.row > section h3 {
	margin: 0px;
}

/**************************************************************************************************/
/*************************************** Books List - Start ***************************************/
/**************************************************************************************************/

#books {
    list-style-type: decimal;
    font-weight: bold;
    overflow: auto;
    overflow-x: hidden;    
}

#books ol {
	padding-left: 35px;
}

#books ol > div {
	margin-left: -35px;
}

#books a:link {
    padding-left: 5px;
    display: block;
    color:Black;
    font-size: 12pt;
    font-weight:bold;
    text-decoration:none;
}

#books div:lang(ar) {
	font-weight: normal;
	font-size: 1.5rem;
	direction: rtl;
	text-align: right;
}

#books a:hover {
	background-color: #2e416e;
	color: #FEFEFF;
}

#books a:link.selected {
    background-color: #B9BDC5;
	color: #FEFEFF;
}

/**************************************************************************************************/
/**************************************** Books List - Ends ***************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/********************************* Hadith Display Settings - Start ********************************/
/**************************************************************************************************/

#hadith-contents > p {
    margin-top: 1em;
}

#hadith-contents hr, .frame-inner hr {
    color: #FEFEFF;
    background-color: #2E416E;
}

img.bookmark_buttons {
    cursor: pointer;
}

#hadith-contents article {
	margin-top: 10px;
	margin-bottom: 10px;
}

#hadith-contents h3 {
    background-color: #B9BDC5;
    padding: 10px;
    margin: 5px;
	font-size: 1.15rem;
}

#hadith-contents h3:lang(ar) {
    font-size: 1.9rem;
    direction: rtl;
    font-weight: normal;
}

#hadith-contents p:lang(ar) {
    text-align: justify;
}

#hadith-contents h3:lang(ur) {
    font-size: 1.7rem;
    font-weight: bold;
    direction: rtl;
    line-height: 2.0;
}

#hadith-contents p:lang(ur) {
    font-weight: normal;
    line-height: 2.0;
}

#main-body #hadith-contents article + h3 {
    margin-top: 2em;
}

#main-body #hadith-contents h3 + article {
    margin-top: 1.25em;
}

/**************************************************************************************************/
/********************************** Hadith Display Settings - Ends ********************************/
/**************************************************************************************************/

/**************************************************************************************************/
/*********************************** Pagination Settings - Start **********************************/
/**************************************************************************************************/

section p.pagination {
    text-align: center;
	display: block;
}

section p.pagination:first-child {
    margin-top: 5px;
}

section p.pagination:last-child {
    margin-bottom: 5px;
}

section p.pagination a, section p.pagination strong {
    padding: 2px 6px;
    border: 1px solid #2E416E;
    border-radius: 3px;
    background-color: #C0C8DC;    
    text-decoration: none;
    color: #2E416E;
    margin-left: 0.18em;
    margin-right: 0.18em;
}

section p.pagination strong, section p.pagination a:hover {
    color: #C0C8DC;
    background: #2E416E;
}

/**************************************************************************************************/
/*********************************** Pagination Settings - Ends ***********************************/
/**************************************************************************************************/

footer.frame-border {
    -moz-border-radius: 0px 0px 10px 10px;
    border-radius: 0px 0px 10px 10px;

    clear: both;
}

#main-body > footer p {
	text-align: center;
	padding: 20px 10px;
}

.search-box {
    margin: 10px auto;
    width: 740px;
    font-family: "PT Sans",arial,serif;
    font-size: medium;
}

.change_password{
	margin-left: 150px;
	
}
.edit_profile{
	margin-left: 150px;
}
.register{
	margin-left: 150px;
}

.links:hover{
	text-decoration: underline;
	color: #386553;
}
.ltr {
    direction: ltr;
    
}
.full-width {
    width: 100%;
}

input[type="button"], input[type="submit"], input[type="reset"], 
button {
    background: -moz-linear-gradient(center top , rgba(235, 235, 235, 1) 0%, rgba(220, 220, 220, 1) 50%, rgba(210, 210, 210, 1) 64%, rgba(193, 193, 193, 1) 100%) repeat scroll 0 0 rgba(0, 0, 0, 0);
}


input, select, button {
    background: none repeat scroll 0 0 #fdfbe4;
    border: 1px solid Black;
}
.text-error{
    color: #b94a48;
}

div#hadith {
    border-top-color:transparent;
    border-top-style:solid;
    border-top-width:1px;
    height:300px;
    min-height:200px;
    overflow:auto;
    padding:0 20px;
    scrollbar-base-color: green;
    scrollbar-face-color: green; 
}

#tail {
    background:-webkit-gradient(linear, 0 0%, 0 100%, from(#2E416E), to(#386553));
    border-radius:0 0 10px 10px;
    clear:both;
    color:#EEEEEE;
    font-weight:bold;
    text-shadow:#666666 1px 1px;
}

#corner{
    border-radius: 5px;
    border: 2px solid #AABB78;
    width: 200px;
    height: 32px;
    text-align: center;
    padding-bottom: 10px;
    margin-top: -8px;  
}

.col-md-9 {
    font-size: 15px;
}

/**************************************************************************************************/
/************************************** Search View - Start ***************************************/
/**************************************************************************************************/

.highlight {
    background: #CEDAEB;
    font-style: italic;
    font-weight: bold;
}
 
.highlight_important {
    background: #F8DCB8;
    font-style: italic;
    font-weight: bold;
}   
    
#tail {
    background: -webkit-gradient(linear, 0 0%, 0 100%, from(#2E416E), to(#386553));
    border-radius: 0 0 10px 10px;
    clear: both;
    color: #EEEEEE;
    font-weight: bold;
    text-shadow: #666666 1px 1px;
}

table tbody tr td .arabic-buttons {
    width: 40px;
    margin: 2px;
}

table tbody tr td .urdu-buttons {
    width: 40px;
    margin: 2px;
}

.hadith_lang:lang(ar) {
	text-align: justify;
	font-size: 1.5rem;
	direction: rtl;
	font-family: Scheherazade, arabic, serif;
}

.hadith_lang:lang(ur) {
	font-weight: normal;
	line-height: 2;
	font-size: 1.2rem;
	direction: rtl;
	font-family: 'Jameel Noori Nastaleeq', 'Nafees Nastaleeq', Nafees, urdu, serif;
}

/**************************************************************************************************/
/************************************** Search View - Ends ****************************************/
/**************************************************************************************************/

/**************************************************************************************************/
/************************************** Media Queries - Start *************************************/
/**************************************************************************************************/

@media (max-width: 767px) {
  #main-body > div.container,
  #main-body > div.container > header,
  #main-body > div.container > footer {
     -moz-border-radius: 0px;
     border-radius: 0px;
  }
}

@media (min-width: 1200px) {
  html {
    font-size: 18px;
  }
}

@media (min-width: 1550px) {
	#main-body {
		box-sizing: border-box;
		transform: scale(1.3);
		transform-origin: 0 0 0;
		width: 76.923%; /* actually it is oldwidth/scale for example here its 100%/1.3 = 76.923% */
		margin-left: 0px;
		margin-right: 0px;;
	}
    
    #myModal > .modal-dialog {
		box-sizing: border-box;
		transform: scale(1.3);
		transform-origin: center top;
	}
}

@media (min-width: 1920px) {
	#main-body {
		box-sizing: border-box;
		transform: scale(1.5);
		transform-origin: 0 0 0;
		width: 66.667%; /* actually it is oldwidth/scale for example here its 100%/1.5 = 66.667% */
	}
    
    #myModal > .modal-dialog {
		box-sizing: border-box;
		transform: scale(1.5);
		transform-origin: center top;
	}
}

/**************************************************************************************************/
/************************************** Media Queries - Ends **************************************/
/**************************************************************************************************/